Cluster
All operations require authentication, except the one marked Public.
List dedicated clustersBeta
Returns the IDs of the dedicated clusters of the account.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ cluster \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
List cluster configuration availabilityDeprecatedPublic
Deprecated since Sep 23, 2025, will be removed on Dec 2, 2025.
Returns the cluster configurations that match the requested quantity, hardware parts and plan code, with their availability for each region. This call does not require authentication.
Query parameters
The name of the memory hardware part
The plan code in which the hardware is involved
Cluster quantity
The name of the base hardware
The name of the storage hardware part
The name of the system storage hardware part
Response
Plan code in which the hardware is involved
Fully qualified name and unique name of the hardware
Name of the memory hardware part
Plan code in which the hardware is involved
A structure describing the hardware availability for each datacenter
Name of the base hardware
Name of the storage hardware part
Name of the system storage hardware part
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ cluster/ availabilities[ { "clusterPlanCode": "string", "fqn": "string", "memory": "string", "planCode": "string", "regions": [ { "availability": "120H", "region": "ap-south-1" } ], "server": "string", "storage": "string", "systemStorage": "string" }]
List the raw cluster hardware availabilityBeta
Returns the raw availability of cluster hardware: for each region, the real stock, the real stock including parent references, and the last rule applied. Filter by quantity, hardware parts, plan code and regions, and set excludeRegions to return every region except those listed.
Query parameters
If true, all regions are returned except those listed in regions parameter
The name of the memory hardware part
The plan code in which the hardware is involved
Node quantity
The names of regions separated by commas
ap-south-1ap-southeast-sgpap-southeast-sydca-east-1ca-east-bhseu-central-waweu-west-erieu-west-graeu-west-limeu-west-pareu-west-rbxeu-west-sbgus-east-vinus-west-hilThe name of the base hardware
The name of the storage hardware part
The name of the system storage hardware part
Response
Plan code in which the hardware is involved
Fully qualified name and unique name of the hardware
Name of the memory hardware part
Plan code in which the hardware is involved
A structure describing the hardware availability for each region
Name of the base hardware
Name of the storage hardware part
Name of the system storage hardware part
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ cluster/ availabilities/ raw \
-H "authorization: Bearer $OVH_TOKEN"[ { "clusterPlanCode": "string", "fqn": "string", "memory": "string", "planCode": "string", "regions": [ { "availability": "120H", "lastRule": "string", "parentAvailable": 0, "region": "120H", "trueAvailable": 0 } ], "server": "string", "storage": "string", "systemStorage": "string" }]
Get a dedicated clusterBeta
Returns the ID, model, region and status of a dedicated cluster, and its nodes.
Path parameters
Service name
Response
IAM resource metadata
Cluster's ID
Model of the cluster
Cluster's nodes
Region where cluster is located
Cluster status
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ cluster/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "model": "string", "nodes": [ { "id": "00000000-0000-0000-0000-000000000000", "serverId": 0, "serverName": "string" } ], "region": "string", "status": "string"}
Launch a contact change procedureBeta
Starts a contact change procedure for the admin, billing or tech contact of the cluster. Returns the IDs of the contact change tasks.
Path parameters
Service name
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ cluster/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Confirm service terminationBeta
Confirms the termination of the cluster with the token sent by email to the admin contact.
Path parameters
Service name
Request body (required)
Commentary about your termination request
Commentary about your future use
Commentary about your reason for termination request
All future uses you can provide for a service termination
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORAll reasons you can provide for a service termination
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ cluster/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Get service informationBeta
Returns the billing information of the cluster, such as creation and expiration dates, contacts and renewal settings.
Path parameters
Service name
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ cluster/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationBeta
Updates the renewal settings of the cluster.
Path parameters
Service name
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ cluster/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Ask for the termination of your serviceBeta
Starts the termination of the cluster and sends a confirmation token by email to the admin contact. Confirm it with the termination confirmation.
Path parameters
Service name
Response
Example uses serviceName = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ cluster/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"